# ResourceHandler

API Documentation: | `ResourceHandler`

Provides access to resource-specific utility methods, for example factory methods that create various resources.

### Properties

Property | Description
`text` | Returns a factory for creating `TextResource`s from various sources such as strings, files, and archive entries.

### Methods

Method | Description
`bzip2(path)` | Creates resource that points to a bzip2 compressed file at the given path. The path is evaluated as per `Project.file(java.lang.Object)`.
`gzip(path)` | Creates resource that points to a gzip compressed file at the given path. The path is evaluated as per `Project.file(java.lang.Object)`.

### Script blocks

No script blocks

### Property details

#### `TextResourceFactory` `text` (read-only)

Returns a factory for creating `TextResource`s from various sources such as strings, files, and archive entries.

### Method details

#### `ReadableResource` `bzip2`(`Object` path)

Creates resource that points to a bzip2 compressed file at the given path. The path is evaluated as per `Project.file(java.lang.Object)`.

#### `ReadableResource` `gzip`(`Object` path)

Creates resource that points to a gzip compressed file at the given path. The path is evaluated as per `Project.file(java.lang.Object)`.